Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.document
Class LongDocValuesField

    java.lang.Object
      org.apache.lucene.document.Field
          org.apache.lucene.document.NumericDocValuesField
              org.apache.lucene.document.LongDocValuesField

All Implemented Interfaces:
  IndexableField

Deprecated. use `NumericDocValuesField` instead.

    @Deprecated
    public class LongDocValuesField

extends NumericDocValuesField

Field that stores a per-document `long` value for scoring, sorting or value retrieval. Here's an example usage:

       document.add(new LongDocValuesField(name, 22L));

If you also need to store the value, you should add a separate `StoredField` instance.

See Also:
  `NumericDocValues`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.document.Field
`Field.Index, Field.Store, Field.TermVector`

Field Summary

Fields inherited from class org.apache.lucene.document.NumericDocValuesField
`TYPE`

Fields inherited from class org.apache.lucene.document.Field
`boost, fieldsData, name, tokenStream, type`

Constructor Summary
`LongDocValuesField(String name, long value)` Deprecated. Creates a new DocValues field with the specified 64-bit long value

Method Summary

Methods inherited from class org.apache.lucene.document.Field
`binaryValue, boost, fieldType, name, numericValue, readerValue, setBoost, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, toString, translateFieldType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LongDocValuesField

    public LongDocValuesField(String name,
                              long value)

  Deprecated.
  Creates a new DocValues field with the specified 64-bit long value

  Parameters:
    `name` - field name
    `value` - 64-bit long value
  Throws:
    `IllegalArgumentException` - if the field name is null

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.